Subject: Re: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Feb 2021 17:28:41 +0200

> From: Andy Moreton <[email-masked]>
> Date: Fri, 19 Feb 2021 14:49:25 +0000
> 
> As an experiment, I changed epaths.h from:
> #define PATH_DUMPLOADSEARCH "C:/emacs/git/emacs/native/lisp"
> 
> to:
> #define PATH_DUMPLOADSEARCH "c:/emacs/git/emacs/native/lisp"
> 
> and then ran make (to build without regenerating the header).
> The resulting emacs did not complain about mismatched filenames.
> 
> Thus the fix outlined by Eli above looks like it will solve the problem.

Btw, there's a similar in principle, but different in details, problem
with macOS: it stores file names in decomposed form, i.e., for
example, ä will be stored as two codepoints: a, followed by U+00A8
DIAERESIS.  So any hashing that relies on comparing file names as
strings will need to normalize the file names on macOS filesystems
(HFS) as well.